Skip to main content
GET
Get a Function Instance

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

functionId
string
required

The Id of the Function

Required string length: 24
Pattern: ^[a-z0-9]{24}$
functionInstanceId
string
required

The Id of the Function Instance

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns a Function Instance object

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
functionReference
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
trigger
enum<string>

How was this function instance triggered, e.g. was it spawned while executing a Flow?

Available options:
flow,
manual
Example:

"flow"

status
enum<string>

The current state of the instance. New instances are in the 'queued' state, while running ones are in 'active' state.

Available options:
queued,
active,
done,
error
Example:

"active"

error
string
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

finishedAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

Last modified on July 22, 2026